Package org.springframework.security.acls.domain

# Class PrincipalSid

java.lang.Object
org.springframework.security.acls.domain.PrincipalSid

All Implemented Interfaces:
  `Serializable`, `Sid`

public class PrincipalSid extends Object implements Sid
Represents an `Authentication.getPrincipal()` as a `Sid`.

This is a basic implementation that simply uses the `String`-based principal for `Sid` comparison. More complex principal objects may wish to provide an alternative `Sid` implementation that uses some other identifier.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PrincipalSid(String principal)`
`PrincipalSid(org.springframework.security.core.Authentication authentication)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object object)`
Refer to the `java.lang.Object` documentation for the interface contract.
`String`
`getPrincipal()`
`int`
`hashCode()`
Refer to the `java.lang.Object` documentation for the interface contract.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PrincipalSid

public PrincipalSid(String principal)

### PrincipalSid

public PrincipalSid(org.springframework.security.core.Authentication authentication)

## Method Details

### equals

public boolean equals(Object object)
Description copied from interface: `Sid`
Refer to the `java.lang.Object` documentation for the interface contract.

Specified by:
  `equals` in interface `Sid`
Overrides:
  `equals` in class `Object`
Parameters:
  `object` - to be compared
Returns:
  `true` if the objects are equal, `false` otherwise

### hashCode

public int hashCode()
Description copied from interface: `Sid`
Refer to the `java.lang.Object` documentation for the interface contract.

Specified by:
  `hashCode` in interface `Sid`
Overrides:
  `hashCode` in class `Object`
Returns:
  a hash code representation of this object

### getPrincipal

public String getPrincipal()

### toString

public String toString()

Overrides:
  `toString` in class `Object`